Bug 556864 - [abrt] crash in firefox-3.5.6-1.fc12
Summary: [abrt] crash in firefox-3.5.6-1.fc12
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5ebce8b05db529edc1cf6a3127c...
: 579772 583645 583877 586970 587088 587179 588214 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-19 16:37 UTC by Silvio Pierro
Modified: 2010-12-04 00:08 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 00:08:57 UTC
Type: ---


Attachments (Terms of Use)
Backtrace (57.64 KB, application/octet-stream)
2010-02-01 16:32 UTC, Robert Binkhorst
no flags Details

Description Silvio Pierro 2010-01-19 16:37:45 UTC
abrt 1.0.3 detected a crash.

Comment: had a lot of firefox windows in all workspaces, someone with active downloads
cmdline: /usr/lib64/firefox-3.5.6/firefox
component: firefox
executable: /usr/lib64/firefox-3.5.6/firefox
kernel: 2.6.31.9-174.fc12.x86_64
package: firefox-3.5.6-1.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)

Comment 1 Chris Campbell 2010-01-19 19:50:25 UTC
Thank you for the bug report. Unfortunately, without a stack trace from the crash it is impossible to determine what caused the crash. Please see http://fedoraproject.org/wiki/StackTraces for more information about getting a useful stack trace with debugging symbols. Even if you cannot reproduce this crash at will, you can prepare your system now to produce a good stack trace the next time you experience the crash. Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Robert Binkhorst 2010-02-01 16:30:49 UTC
re-opening this since I can provide a stack trace and a core if you want it. Abrt didn't add this automatically since it figured this BZ already had the information, so I'll add it manually in a bit. The core dump is 100MB bzipped (820MB uncompressed), so let me know if you want that as well and I can provide it.

Comment 3 Robert Binkhorst 2010-02-01 16:32:33 UTC
Created attachment 388077 [details]
Backtrace

Comment 4 Martin Stransky 2010-02-01 20:22:19 UTC
It's a duplicate of the D-BUS issue:


No symbol table info available.
#3  0x00007f81b14f9310 in ?? ()
No symbol table info available.
#4  0x0000003356a11c7f in marshal_dbus_message_to_g_marshaller (
    closure=<value optimized out>, return_value=0x0,
    n_param_values=<value optimized out>, param_values=<value optimized out>,
    invocation_hint=0x7fff6af72a00, marshal_data=0x0) at dbus-gproxy.c:1681
        value_array = <value optimized out>
        c_marshaller = <value optimized out>
        proxy = 0x7f81bef5ac50
        __PRETTY_FUNCTION__ = "marshal_dbus_message_to_g_marshaller"
#5  0x000000334ea0ba8e in IA__g_closure_invoke (closure=0x7f819e0d2160,
    return_value=0x0, n_param_values=3, param_values=0x7f818d54c240,
    invocation_hint=0x7fff6af72a00) at gclosure.c:767
        marshal = <value optimized out>
        marshal_data = <value optimized out>
        in_marshal = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"

Comment 5 Chris Campbell 2010-05-07 11:49:32 UTC
*** Bug 588214 has been marked as a duplicate of this bug. ***

Comment 6 Chris Campbell 2010-05-07 11:51:45 UTC
*** Bug 579772 has been marked as a duplicate of this bug. ***

Comment 7 Chris Campbell 2010-05-07 11:53:01 UTC
*** Bug 583645 has been marked as a duplicate of this bug. ***

Comment 8 Chris Campbell 2010-05-07 11:54:03 UTC
*** Bug 583877 has been marked as a duplicate of this bug. ***

Comment 9 Chris Campbell 2010-05-07 11:55:30 UTC
*** Bug 586970 has been marked as a duplicate of this bug. ***

Comment 10 Chris Campbell 2010-05-07 11:57:06 UTC
*** Bug 587088 has been marked as a duplicate of this bug. ***

Comment 11 Chris Campbell 2010-05-07 11:57:55 UTC
*** Bug 587179 has been marked as a duplicate of this bug. ***

Comment 12 keijo.hautala 2010-05-10 10:36:38 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Several windows open and I hit "Web Developer" addon's "images" -> "View image information"

Comment 13 Przemek Klosowski 2010-05-12 14:48:43 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Sorry, not a very reproducible crash: tons of windows open, etc.

I reopened the same windows after the crash and the browser is working fine, so it must have
been a latent problem that happened over time.

Comment 14 Chris Campbell 2010-05-14 11:37:55 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I don't remember
2.
3.


Comment
-----
I don't remember

Comment 15 Chris Campbell 2010-05-14 11:38:34 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I don't remember
2.
3.


Comment
-----
I don't remember

Comment 16 Chris Campbell 2010-05-14 11:39:11 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I don't remember
2.
3.


Comment
-----
I don't remember

Comment 17 Chris Campbell 2010-05-14 11:41:06 UTC
Comments 14, 15 and 16 were three separate abrt bugs I finally reported, all showing as dupes to this one.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 18 Brian C. Huffman 2010-05-24 18:21:26 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.  No idea - wasn't even actively doing anything at the time of the crash
2.
3.

Comment 19 Brent R Brian 2010-05-26 14:37:25 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
No idea

Comment
-----
Mulitiple tabs open

Comment 20 igor.redhat@gmail.com 2010-05-27 21:24:24 UTC
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
The crash happened when evince started recovering a gazillion pdf from the previous session - I've no clue if this is related to this firefox crash in any way.

Comment 21 Volodymyr M. Lisivka 2010-05-28 07:50:32 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Install DownloadHelper extension for Firefox (4.7.2 in my case)
2. Open YouTube page with video
3. Start quick download of a video: notification appears
4. When notification disappears (in any way), Firefox crashes.
Reproducible: always

Comment 22 Tony C 2010-05-29 14:01:46 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.browse the internet
2.close firefox
3.respond to ABRT


Comment
-----
I closed the browser, Automatic Bug Reporting Tool said that Firefox had crashed and I am obeying it's instructions to report this carsh (after closure)

Comment 23 Robert Binkhorst 2010-05-31 06:55:37 UTC
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Unsure, this is another case where firefox crashes for no reason, I was not even in the firefox window.
2.
3.

Comment 24 jesseb 2010-06-02 18:33:02 UTC
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Was running, left desk, came back and was crashed

Comment 25 John Griffiths 2010-06-04 17:48:50 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Use Firefox to vue UTube video.
2. Download and convert video using DownloadHelper 4.7.3 plugin.
3.


Comment
-----
Firefox crashes at the end of the conversion process. I was converting from flv to DVD NTSC (Mpeg2)

Comment 26 Juha Heljoranta 2010-06-14 17:55:07 UTC
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
NA. Happens quite rearely and randomly.

Comment
-----
I was just browsing the internet.

Comment 27 Xion Luhnis 2010-06-16 17:03:02 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
No idea.

Comment
-----
Trying to restart gnome-shell, it all crashed. Now I'm on the gnome basic desktop, but metacity isn't loaded by default.

Comment 28 Arthur Enright 2010-06-21 02:54:22 UTC
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Let FireFox run for days-weeks straight without restart
2. Log into gmail with multiple tabs open
3. Download an attachement from a gmail email that is opened by Ooo Writer


Comment
-----
1. Let FireFox run for days-weeks straight without restart
2. Log into gmail with multiple tabs open
3. Download an attachement from a gmail email that is opened by Ooo Writer

Comment 29 collura 2010-06-21 04:25:23 UTC
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
not sure what caused crash of firefox.

was closing screen shot of a bug report.
had viewed it before without a problem.

Comment 30 Bug Zapper 2010-11-04 00:31:29 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 31 Bug Zapper 2010-12-04 00:08:57 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.